package de.intevation.flys.importer.parsers;


import java.math.BigDecimal;

import java.text.ParseException;



import org.apache.log4j.Logger;

import de.intevation.flys.importer.ImportBedHeight;
import de.intevation.flys.importer.ImportBedHeightEpoch;
import de.intevation.flys.importer.ImportBedHeightEpochValue;


public class BedHeightEpochParser extends BedHeightParser {

    private static final Logger log =
        Logger.getLogger(BedHeightEpochParser.class);



    @Override
    protected ImportBedHeight newImportBedHeight(String description) {
        return new ImportBedHeightEpoch(description);
    }


    @Override
    protected void handleDataLine(ImportBedHeight obj, String line) {
        // TODO issue863: find gaps in data, analogous to 'single' case.
        String[] values = line.split(SEPERATOR_CHAR);

        if (values == null || values.length < 2 || values[0].length() == 0 || values[1].length() == 0) {
            //log.warn("Skip invalid data line: " + line);
            return;
        }

        try {
            ImportBedHeightEpochValue value = new ImportBedHeightEpochValue(
                new BigDecimal(nf.parse(values[0]).doubleValue()),
                new BigDecimal(nf.parse(values[1]).doubleValue())
            );

            obj.addValue(value);
        }
        catch (ParseException e) {
            log.warn("Error while parsing number from data row: " + line);
        }
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
